<?php
$i=1;$count_activ=0;
$tabWeeks = array();
foreach (new DatePeriod($jourP1date, new DateInterval('P7D') /* pas de sept jours */, $jourP2date) as $dt) {
	$week = $dt->format('oW');
	array_push($tabWeeks, $week);
}
$tabActivitesNom[$i] = array();
foreach($activ as $activ_info) {
	$activ_code = $activ_info['code_activ'];
	if(($filtre_activs==""||@$_SESSION['verif_activ'][0]==""||in_array($activ_code,$_SESSION['verif_activ']))&&$activ_code!='ZERO') { // on vérifie qu'elle n'est pas décochée
		$tabActivitesNom[$i] = $activ_info['nom_activ'];
		$tab[$i] = array();
		$tabColors[$i] = array();
		foreach (new DatePeriod($jourP1date, new DateInterval('P7D') /* pas de sept jours */, $jourP2date) as $dt) {
			$date = $dt->format('Y-m-d');
			$week = $dt->format('oW');
			$datetoend = strtotime(date("Y-m-d", strtotime($date)) . " +6 day"); // ajouter 6 jours
			$dateend = date('Y-m-d',$datetoend);
			$nbeleves_actglob = mysqli_num_rows(mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$dt->format('Y-m-d')."' AND freq.date_freq <= '".$dateend."' ".$filtre_activs.""));
			$nbeleves_act = mysqli_num_rows(mysqli_query($bdd,"SELECT freq.freq_id FROM ".$prefix."_freq freq WHERE freq.date_freq >= '".$dt->format('Y-m-d')."' AND freq.date_freq <= '".$dateend."' AND code_activ = '".$activ_code."' ".$filtre_espaces.""));
			if($grappes_check==1) {
				$elegrap_nbglob = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$dt->format('Y-m-d')."' AND date_freq <= '".$dateend."' AND passage = '0' ".$filtre_activs."");
				$elegrap_nb = mysqli_query($bdd,"SELECT nombre FROM ".$prefix."_freqgrappes WHERE date_freq >= '".$dt->format('Y-m-d')."' AND date_freq <= '".$dateend."' AND passage = '0' AND code_activ = '".$activ_code."' ".$filtre_espaces."");
				foreach($elegrap_nbglob as $elegrap1) {
					$nbeleves_actglob += $elegrap1['nombre'];
				}
				foreach($elegrap_nb as $elegrap2) {
					$nbeleves_act += $elegrap2['nombre'];
				}
			}
			if($nbeleves_actglob!=0) {
				$percent_act = round(($nbeleves_act * 100 / $nbeleves_actglob),2);
				array_push($tab[$i],$percent_act);
				array_push($tabColors[$i],$basicColors[$i-1]);
			}
			else { 
				array_push($tab[$i],0);
				array_push($tabColors[$i],$basicColors[$i-1]);
			}
		}
		$i++;$count_activ++;
	}
}
?>
<div id="wrapper" class="statcadre">
<canvas id="chart_activperweek" class="charts" width="400" height="200"></canvas>
</div>
<script>
var ctx = document.getElementById("chart_activperweek");
var myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: <?php echo json_encode($tabWeeks); ?>,
        datasets: [ 
        <?php $i=1;$j=1;
        foreach($activ as $activ_info) { 
        	$activ_code = $activ_info['code_activ']; if(($filtre_activs==""||@$_SESSION['verif_activ'][0]==""||in_array($activ_code,$_SESSION['verif_activ']))&&$activ_code!='ZERO') { // on vérifie qu'elle n'est pas décochée ?>
        {
            label: <?php echo json_encode($tabActivitesNom[$i]); ?>,
            data: <?php echo json_encode($tab[$i]); ?>,
            backgroundColor: <?php echo json_encode($tabColors[$i]); ?>,
            borderColor: <?php echo json_encode($tabColors[$i]); ?>,
            borderWidth: 1
        } <?php if($j<$count_activ) { echo ','; } $i++; $j++;} ?> <?php } ?> ]
    },
    options: {
       title: {
			display: true,
			text: 'Répartition des activités chaque semaine'
		},
		tooltips: {
			mode: 'index',
			intersect: false
		},
		responsive: true,
		scales: {
			xAxes: [{
				stacked: true,
				ticks: {
					beginAtZero:true
				}
			}],
			yAxes: [{
				stacked: true,
				ticks: {
					max:100,
					beginAtZero:true
				}
			}]
		}
    }
});
</script>